;===============================
;   MaxQ20MS10XF (BG)
;===============================
;   LCD Simulator test	

#include "maxq2000.inc"

    SEGMENT CODE                  ; CODE segment starts here
    Org 0                                         ; SET Absolute address of code = 0
    jump main

    Org 20h                                     ; SET Absolute address of code = 32 HEX
					
_2MUXMODE:

    move LCRA,         #08FFh        ;  Select  MUX mode of display
    move LCFG.0,      #0h               ;  Disable LCD RAM Display
    move LCFG.1,      #01h             ;  Enable LCD Operation mode
    move LCFG.4,      #01h             ;  PCF0: Configure Pins as Segment pins
    move LCFG.5,      #01h             ;  PCF1
    move LCFG.6,      #01h             ;  PCF2
    move LCFG.7,      #01h             ;  PCF3

    move EIE0.7,         #01h            ;  INT4, Change pattern to check for all bits
   ; Fill the Display memory with data to be displayed
    move LCD0,       #00Fh           ; LCDD0
    move LCD1,       #00Fh           ; LCDD1
    move LCD2,       #00Fh           ; LCDD1
    move LCD3,       #00Fh           ; LCDD2
    move LCD4,       #00Fh           ; LCDD4
    move LCD5,       #00Fh           ; LCDD5
    move LCD6,       #00Fh           ; LCDD6
    move LCD7,       #00Fh           ; LCDD7
    move LCD8,       #0FFh           ; LCDD8, Make it 00 to draw in Black color

    move LCFG.0,       #1h               ; Enable Display
    ; Display can be changed even when LCD is ON.
    move LCD0,       #0FFh           ; LCDD0
    move LCD1,       #0FFh           ; LCDD1

    RET

main:
    CALL	_2MUXMODE       ; Call the LCD  Mux Mode
     SJUMP $                                   ; RUN forever

     END
